﻿using System;
using System.Collections.ObjectModel;
using System.Windows;
using System.Windows.Controls.Primitives;
using System.Windows.Threading;

using Telerik.Windows.Controls;

namespace FileExplorerExample {
    /// <summary>
    /// Interaction logic for Window2.xaml
    /// </summary>
    public partial class Window2 : Window {
        public Window2() {
            InitializeComponent();
        }

        public override void OnApplyTemplate() {
            base.OnApplyTemplate();
            fileExplorer.Loaded +=new RoutedEventHandler(fileExplorer_Loaded);
        }

        private void fileExplorer_Loaded(object sender, EventArgs e)
        {
           

                ObservableCollection<DirectoryFile> items = fileExplorer.ItemsSource as ObservableCollection<DirectoryFile>;
                var matchingFile = items.FirstOrDefaultFromMany(p => p.Childs, 
                                                                p => p.FullPath == @"C:\foo\GG\AA\OurTestFile8.txt");
                
                string path = matchingFile.GetFullPath();
                fileExplorer.ExpandItemByPath(path, "|");

                // Get item to select
                RadTreeViewItem f = fileExplorer.GetItemByPath(path, "|");
                if(f == null) {
                    return;
                }

                f.IsSelected = true;
                f.BringIntoView();
                f.Focus();
                f.UpdateLayout();
              
        }


        private void fileExplorer_SelectionChanged_1(object sender, System.Windows.Controls.SelectionChangedEventArgs e)
        {

        }

    }
}
